-- Author      : Weeperman
-- Create Date : 12/31/2007 12:21:59 PM

function WongaFrame_OnEvent(self, event, ...)
    if (event == "PLAYER_MONEY") or 
       (event == "PLAYER_ENTERING_WORLD")  or 
       (event == "CHAT_MSG_CURRENCY") or
       (event == "CURRENCY_DISPLAY_UPDATE") then

        local additionalTokens =GetNumWatchedTokens();

        -- use the default formatted wow option
        local fullText = GetCoinTextureString(GetMoney())
                                
        if (additionalTokens > 0) then
        
            -- iterate through all the additional tracked items
            for id = 1, additionalTokens do
                local name, count, extraCurrencyType, icon, itemid 
                name, count, icon, _, _ = GetBackpackCurrencyInfo(id)
                if name ~= nil then

                    local tempString
                    
                    if ( ENABLE_COLORBLIND_MODE == "1" ) then        
                        -- add <value> and <type>
                        tempString = string.format("%s %s",count,name)
                        WongaAll:SetTextColor(1,1,1,1)
                    else
                        -- add <Icon>, <value> and <type>
                        tempString = string.format("%d\124T%s:0:0:2:0\124t", count, icon)
                    end
                  
                    fullText = string.format("%s|n%s",fullText ,tempString)
                end
            end
        end
        
        -- update the height of the control
        WongaAll:SetHeight(14*(1+additionalTokens))
        WongaFrame:SetHeight(14*(1+additionalTokens))           

        -- update the text
        WongaAll:SetText(fullText)      
        
    end
end

function WongaFrame_OnLoad(self)
    self:RegisterEvent("PLAYER_MONEY");
    self:RegisterEvent("PLAYER_ENTERING_WORLD")
    self:RegisterEvent("CHAT_MSG_CURRENCY")
    self:RegisterEvent("CURRENCY_DISPLAY_UPDATE")
    -- Indicate version at load time
    local version = tostring(GetAddOnMetadata("Wonga","Version"))
    DEFAULT_CHAT_FRAME:AddMessage(string.format("|cffffffffWonga|cffff9900 %s|cffffffff loaded", version))   
	
end

